# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased][unreleased]

## [3.2.1] - 2023-03-27

### Commits

- Set Composer type to WordPress plugin. ([c4d9ac1](https://github.com/pronamic/wp-pronamic-pay-fundraising/commit/c4d9ac112cd844812880852b2c0a199a52648aca))
- Updated .gitattributes ([6801225](https://github.com/pronamic/wp-pronamic-pay-fundraising/commit/6801225e251217892b64d789d30b0ab431c7c4b0))

Full set of changes: [`3.2.0...3.2.1`][3.2.1]

[3.2.1]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/v3.2.0...v3.2.1

## [3.2.0] - 2023-02-23

### Commits

- Added support for block border control. ([950af6b](https://github.com/wp-pay/fundraising/commit/950af6b120ea111c7ef9c5f493cfec81e96dbf5b))
- Removed default border from block. ([a6b7bdf](https://github.com/wp-pay/fundraising/commit/a6b7bdfd831dff4c771159eee071b131c3f6a9b1))

Full set of changes: [`3.1.1...3.2.0`][3.2.0]

[3.2.0]: https://github.com/wp-pay/fundraising/compare/v3.1.1...v3.2.0

## [3.1.1] - 2023-01-31
### Composer

- Changed `php` from `>=8.0` to `>=7.4`.
Full set of changes: [`3.1.0...3.1.1`][3.1.1]

[3.1.1]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/v3.1.0...v3.1.1

## [3.1.0] - 2022-12-23

### Commits

- Updated fundraising blocks in reusable block (#1). ([71b3288](https://github.com/pronamic/wp-pronamic-pay-fundraising/commit/71b3288967537cc347d6246334e669969a8b0f82))

### Composer

- Changed `php` from `>=5.6.20` to `>=8.0`.
- Changed `pronamic/wp-money` from `^2.0` to `v2.2.0`.
	Release notes: https://github.com/pronamic/wp-money/releases/tag/v3.0.3
- Changed `wp-pay/core` from `^4.4` to `v4.6.0`.
	Release notes: https://github.com/pronamic/wp-pay-core/releases/tag/v3.0.3
Full set of changes: [`3.0.3...3.1.0`][3.1.0]

[3.1.0]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/v3.0.3...v3.1.0

## [3.0.3] - 2022-09-27
- Updated version number in `readme.txt`.

## [3.0.2] - 2022-09-27
- Update to `wp-pay/core` version `^4.4`.

## [3.0.1] - 2022-09-26
- Coding standards.

## [3.0.0] - 2022-01-11
### Changed
- Updated to https://github.com/pronamic/wp-pay-core/releases/tag/4.0.0.

## [2.0.3] - 2021-09-30
- Load assets from relative links.
- Added Update URI in plugin file.
- Included and use `block.json`.
- Improved security by using correct escaping functions.

## [2.0.2] - 2021-09-16
- Fixed blocks not loading in editor ([pronamic/wp-pronamic-pay#204](https://github.com/pronamic/wp-pronamic-pay/issues/204)).

## [2.0.1] - 2021-09-03
- Added block titles ([pronamic/wp-pronamic-pay#185](https://github.com/pronamic/wp-pronamic-pay/issues/185)).

## [2.0.0] - 2021-08-05
- Updated to `pronamic/wp-pay-core` version `3.0.0`.
- Updated to `pronamic/wp-money` version `2.0.0`.
- Switched to `pronamic/wp-coding-standards`.

## [1.1.1] - 2021-01-14
- Fix changelog.

## [1.1.0][1.1.0] - 2020-12-17
- Fix editor style.
- Updated plugin bootstrap.

## 1.0.0 - 2019-05-06
- First release.

[unreleased]: https://github.com/wp-pay/fundraising/compare/3.0.3...HEAD
[3.0.3]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/3.0.2...3.0.3
[3.0.2]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/3.0.1...3.0.2
[3.0.1]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/3.0.0...3.0.1
[3.0.0]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/2.0.3...3.0.0
[2.0.3]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/2.0.2...2.0.3
[2.0.2]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/2.0.1...2.0.2
[2.0.1]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/2.0.0...2.0.1
[2.0.0]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/1.1.1...2.0.0
[1.1.1]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/1.1.0...1.1.1
[1.1.0]: https://github.com/pronamic/wp-pronamic-pay-fundraising/compare/1.0.0...1.1.0
